Oracle Linux 5 : cups (ELSA-2009-1595)

Medium Nessus Plugin ID 67961


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2009:1595 :

Updated cups packages that fix multiple security issues are now available for Red Hat Enterprise Linux 5.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

[Updated 12th January 2010] The packages list in this erratum has been updated to include missing i386 packages for Red Hat Enterprise Linux Desktop and RHEL Desktop Workstation.

The Common UNIX Printing System (CUPS) provides a portable printing layer for UNIX operating systems.

A use-after-free flaw was found in the way CUPS handled references in its file descriptors-handling interface. A remote attacker could, in a specially crafted way, query for the list of current print jobs for a specific printer, leading to a denial of service (cupsd crash).

Several cross-site scripting (XSS) flaws were found in the way the CUPS web server interface processed HTML form content. If a remote attacker could trick a local user who is logged into the CUPS web interface into visiting a specially crafted HTML page, the attacker could retrieve and potentially modify confidential CUPS administration data. (CVE-2009-2820)

Red Hat would like to thank Aaron Sigel of Apple Product Security for responsibly reporting the CVE-2009-2820 issue.

Users of cups are advised to upgrade to these updated packages, which contain backported patches to correct these issues. After installing the update, the cupsd daemon will be restarted automatically.


Update the affected cups packages.

See Also

Plugin Details

Severity: Medium

ID: 67961

File Name: oraclelinux_ELSA-2009-1595.nasl

Version: $Revision: 1.6 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2016/12/07

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Temporal Score: 4.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:cups, p-cpe:/a:oracle:linux:cups-devel, p-cpe:/a:oracle:linux:cups-libs, p-cpe:/a:oracle:linux:cups-lpd, cpe:/o:oracle:linux:5

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/11/18

Reference Information

CVE: CVE-2009-2820, CVE-2009-3553, CVE-2010-0302

BID: 36958

OSVDB: 60204

RHSA: 2009:1595

CWE: 79, 399